# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rubyful_soup"
  s.version = "1.0.4"

  s.required_rubygems_version = nil if s.respond_to? :required_rubygems_version=
  s.authors = ["Leonard Richardson"]
  s.cert_chain = nil
  s.date = "2006-03-01"
  s.description = "Rubyful Soup is a *ML parser that makes screen-scraping easy. It won't choke on bad markup, and it's easy to locate the part of a document you want."
  s.email = "leonardr@segfault.org"
  s.extra_rdoc_files = ["CHANGELOG"]
  s.files = ["CHANGELOG"]
  s.homepage = "http://www.crummy.com/software/RubyfulSoup/"
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new("> 0.0.0")
  s.rubygems_version = "1.8.11"
  s.summary = "An HTML/XML parser that handles bad markup and provides tree traversal methods."

  if s.respond_to? :specification_version then
    s.specification_version = 1

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<htmltools>, ["> 0.0.0"])
    else
      s.add_dependency(%q<htmltools>, ["> 0.0.0"])
    end
  else
    s.add_dependency(%q<htmltools>, ["> 0.0.0"])
  end
end
